Skip to main content
POST
/
api
/
internal
/
runs
/
sweep
Finalize zombie runs across all run tables
curl --request POST \
  --url https://app.solya.app/api/internal/runs/sweep \
  --header 'Authorization: Bearer <token>'
{
  "alertEvaluationRunsFinalized": 1,
  "ingestionRunsFinalized": 0,
  "sandboxIngestRunsFinalized": 0,
  "sandboxPromoteRunsFinalized": 0,
  "tagEvaluationRunsFinalized": 0,
  "totalDurationMs": 342,
  "workflowRunsFinalized": 1
}

Authorizations

Authorization
string
header
required

Static internal-ops token used by the data platform and internal cron jobs (e.g. zombie-run sweep). Validated via requireBearerToken inside the handler against a service-specific environment variable.

Response

Successful response

data
object
required
success
enum<boolean>
required
Available options:
true